## sagemath 7.4

=== sage/Makefile ===
# Main Makefile for Sage.

# The default target ("all") builds Sage and the whole (HTML) documentation.
#
# Target "build" just builds Sage.
#
# See below for targets to build the documentation in other formats,
# to run various types of test suites, and to remove parts of the build etc.

default: all

build: all-build

# Defer unknown targets to build/make/Makefile
%::
	@if [ -x relocate-once.py ]; then ./relocate-once.py; fi
	$(MAKE) build/make/Makefile
	+build/bin/sage-logger \
		"cd build/make && ./install '$@'" logs/install.log

# If configure was run before, rerun it with the old arguments.
# Otherwise, run configure with argument $PREREQ_OPTIONS.
build/make/Makefile: configure build/make/deps build/pkgs/*/*
	rm -f config.log
	mkdir -p logs/pkgs
	ln -s logs/pkgs/config.log config.log
	@if [ -x config.status ]; then \
		./config.status --recheck && ./config.status; \
	else \
		./configure $$PREREQ_OPTIONS; \
	fi || ( \
		if [ "x$$SAGE_PORT" = x ]; then \
			echo "If you would like to try to build Sage anyway (to help porting),"; \
			echo "export the variable 'SAGE_PORT' to something non-empty."; \
			exit 1; \
		else \
			echo "Since 'SAGE_PORT' is set, we will try to build anyway."; \
		fi; )

# Preemptively download all standard upstream source tarballs.
download:
	export SAGE_ROOT=$$(pwd) && \
	export PATH=$$SAGE_ROOT/src/bin:$$PATH && \
	./src/bin/sage-download-upstream

dist: build/make/Makefile
	./sage --sdist

# ssl: build Sage, and also install pyOpenSSL. This is necessary for
# running the secure notebook. This make target requires internet
# access. Note that this requires that your system have OpenSSL
# libraries and headers installed. See README.txt for more
# information.
ssl: all
	./sage -i pyopenssl

misc-clean:
	@echo "Deleting miscellaneous artifacts generated by build system ..."
	rm -rf logs
	rm -rf dist
	rm -rf tmp
	rm -f aclocal.m4 config.log config.status confcache
	rm -rf autom4te.cache
	rm -f build/make/Makefile build/make/Makefile-auto
	rm -f .BUILDSTART

bdist-clean: clean
	$(MAKE) misc-clean

distclean: build-clean
	$(MAKE) misc-clean
	@echo "Deleting all remaining output from build system ..."
	rm -rf local

# Delete all auto-generated files which are distributed as part of the
# source tarball
bootstrap-clean:
	rm -rf config configure build/make/Makefile-auto.in

# Remove absolutely everything which isn't part of the git repo
maintainer-clean: distclean bootstrap-clean
	rm -rf upstream

micro_release: bdist-clean sagelib-clean
	@echo "Stripping binaries ..."
	LC_ALL=C find local/lib local/bin -type f -exec strip '{}' ';' 2>&1 | grep -v "File format not recognized" |  grep -v "File truncated" || true

TESTALL = ./sage -t --all
PTESTALL = ./sage -t -p --all

test: all
	$(TESTALL) --logfile=logs/test.log

check: test

testall: all
	$(TESTALL) --optional=sage,optional,external --logfile=logs/testall.log

testlong: all
	$(TESTALL) --long --logfile=logs/testlong.log

testalllong: all
	$(TESTALL) --long --optional=sage,optional,external --logfile=logs/testalllong.log

ptest: all
	$(PTESTALL) --logfile=logs/ptest.log

ptestall: all
	$(PTESTALL) --optional=sage,optional,external --logfile=logs/ptestall.log

ptestlong: all
	$(PTESTALL) --long --logfile=logs/ptestlong.log

ptestalllong: all
	$(PTESTALL) --long --optional=sage,optional,external --logfile=logs/ptestalllong.log

testoptional: all
	$(TESTALL) --optional=sage,optional --logfile=logs/testoptional.log

testoptionallong: all
	$(TESTALL) --long --optional=sage,optional --logfile=logs/testoptionallong.log

ptestoptional: all
	$(PTESTALL) --optional=sage,optional --logfile=logs/ptestoptional.log

ptestoptionallong: all
	$(PTESTALL) --long --optional=sage,optional --logfile=logs/ptestoptionallong.log

configure: configure.ac src/bin/sage-version.sh m4/*.m4
	./bootstrap -d

install:
	@echo "******************************************************************"
	@echo "The '$@' target is no longer supported:"
	@echo "either build SageMath in-place or use the binary packaging scripts"
	@echo "from https://github.com/sagemath/binary-pkg"
	@echo "******************************************************************"
	@exit 1


.PHONY: default build install micro_release \
	misc-clean bdist-clean distclean bootstrap-clean maintainer-clean \
	test check testoptional testall testlong testoptionallong testallong \
	ptest ptestoptional ptestall ptestlong ptestoptionallong ptestallong

=== sage/src/mac-app/Makefile ===
# Makefile for building the Mac App
#
# This assumes that you have already built Sage. This Makefile then
# compiles the Mac App UI and combines it with the existing Sage
# install into a DMG file.
#
# The resulting DMG is as relocatable as the original Sage install,
# that is, not at all by default. It will contain paths pointing to
# the Sage tree that you started with (OK if you are only debugging
# the Mac App, just don't delete the original Sage directory tree).
#
# To build a relocatable Sage binary you have to use
# https://github.com/sagemath/binary-pkg


ifdef SAGE_ROOT
    $(error This makefile must be run outside of a sage shell)
endif

SAGE_ROOT:=$(shell cd ../.. && pwd)

ifndef SAGE_VERSION
    SAGE_VERSION:=$(shell source ../bin/sage-version.sh && echo $$SAGE_VERSION)
endif

# Meaningful values, on Intel, are "i386" and "x86_64". To prepare a
# 64-bit binary distribution on an older 64-bit OSX machine that boots
# into a 32-bit system, one would set SAGE_APP_TARGET_ARCH=x86_64
ifndef SAGE_APP_TARGET_ARCH
    SAGE_APP_TARGET_ARCH:=$(shell uname -m)
endif

OSX_VERSION:=$(shell sw_vers -productVersion)

TARGET:=sage-$(SAGE_VERSION)-OSX_$(OSX_VERSION)_$(SAGE_APP_TARGET_ARCH)
APP_NAME:=SageMath-$(SAGE_VERSION).app
APP:=$(TARGET)/$(APP_NAME)
DMG:=$(TARGET).app.dmg

CONFIGURATION=Debug
SDKROOT=

SOURCE=*.h *.m

default: $(DMG)
app: $(APP)/Contents/Resources/sage

# Display the variables
debug:
	@echo SAGE_ROOT=$(SAGE_ROOT)
	@echo SAGE_VERSION=$(SAGE_VERSION)
	@echo OSX_VERSION=$(OSX_VERSION)
	@echo SAGE_APP_TARGET_ARCH=$(SAGE_APP_TARGET_ARCH)
	@echo CONFIGURATION=$(CONFIGURATION)
	@echo APP=$(APP)

# Build the Mac App UI binary (not: Sage itself)
$(APP): $(SOURCE)
	mkdir -p $(TARGET)
	xcodebuild -target Sage -configuration $(CONFIGURATION) \
	    ARCHS=$(SAGE_APP_TARGET_ARCH) \
	    ONLY_ACTIVE_ARCH=NO \
	    SDKROOT=$(SDKROOT)
	mkdir -p $(APP)
	cp -pRL build/$(CONFIGURATION)/Sage.app/ $(APP)
	@# Info.plist is a binary plist, so convert it for processing with sed.
	@# I would just change it to be an xml plist, but xcode changes it back.
	plutil -convert xml1 $(APP)/Contents/Info.plist
	sed -i '' "s/SAGE_VERSION/$(SAGE_VERSION)/" $(APP)/Contents/Info.plist

# Copy Sage into the App directory structure
$(APP)/Contents/Resources/sage: $(APP)
	mkdir -p $(APP)/Contents/Resources/sage
	rsync -av --progress \
	    $(SAGE_ROOT)/ $@ \
	    --exclude .git/ \
	    --exclude upstream/ \
	    --exclude src/mac-app/build \
	    --exclude src/mac-app/$(TARGET)
	@# We touch the director here so that we don't keep rsyncing just
	@# because $(APP) is newer than (the rsync preserves time)
	test -d $@ && touch $@

# .DS_Store tells finder the icon position and background image to use
# when opening the dmg.	
$(TARGET)/.DS_Store: tools/createDSStore/createDSStore.py
	@# On some old Mac OS X, createDSStore fails when there already
	@# is an existing file
	rm -f $(TARGET)/.DS_Store
	tools/createDSStore/createDSStore.py $(TARGET) $(TARGET) $(APP_NAME)

$(TARGET)/.background.png: sage-dmg-background.png
	cp sage-dmg-background.png $(TARGET)/.background.png

$(TARGET)/Applications:
	rm -f $(TARGET)/Applications
	ln -s /Applications/ $(TARGET)/Applications

# Add the readme file
$(TARGET)/README.txt: $(SAGE_ROOT)/src/bin/sage-README-osx.txt
	cp $^ $@

non_app_files: $(TARGET)/README.txt $(TARGET)/.DS_Store $(TARGET)/.background.png $(TARGET)/Applications

sage_symlink: $(APP)/Contents/Resources/sage/sage
	rm -f $(APP)/sage
	ln -s Contents/Resources/sage/sage $(APP)/sage

# Compress the built directory into a DMG
# Dependencies need to be in that order because non_app_files
# needs the directory created by $(APP)/Contents/Resources/sage
$(DMG): $(APP)/Contents/Resources/sage sage_symlink non_app_files
	hdiutil create -srcfolder $(TARGET) -volname $(TARGET) -format UDBZ $(DMG)

.PHONY: clean default debug app non_app_files

clean:
	rm -rf $(APP) build $(DMG)

=== debian/changelog ===
sagemath (7.4-9) unstable; urgency=medium

  * Update for dh-python 2.20170125.

 -- Ximin Luo <infinity0@debian.org>  Thu, 26 Jan 2017 01:16:15 +0100

sagemath (7.4-8) unstable; urgency=medium

  * Work around some testing issues on i386. (Closes: #852374)

 -- Ximin Luo <infinity0@debian.org>  Wed, 25 Jan 2017 16:08:28 +0100

sagemath (7.4-7) unstable; urgency=medium

  * Improve the state of post-install tests.

 -- Ximin Luo <infinity0@debian.org>  Sun, 22 Jan 2017 01:17:16 +0100

sagemath (7.4-6) unstable; urgency=medium

  * Only check dochtml.log for errors if we will actually build the doc
    packages. This helps to avoid FTBFS on low-memory arch-any buildds.

 -- Ximin Luo <infinity0@debian.org>  Mon, 09 Jan 2017 12:53:34 +0100

sagemath (7.4-5) unstable; urgency=medium

  [ Ximin Luo ]
  * Generate documentation reproducibly.
  * Set SYMPOW_CACHEDIR instead of HOME.
  * Depend on python-numpy (>= 1:1.12.0~rc2-1).

  [ Tobias Hansen ]
  * Rebuild against brial 0.8.5-4. (Closes: #849152)
  * Remove sagetex from Build-Depends and sagemath:Depends,
    add to sagemath:Recommends.
  * Change u1-version-pbori-boost1.62-hashes.patch:
    Also update hashes for 32 bit.

 -- Tobias Hansen <thansen@debian.org>  Sun, 08 Jan 2017 09:57:27 +0100

sagemath (7.4-4) unstable; urgency=medium

  * Add a temporary exception to the i386 testsuite to allow the build to pass.
    This allows us to artificially pass an intermediate deadline for the Debian
    stretch release schedule, which gives us more breathing space to fix this
    properly for the eventual deadline.

 -- Ximin Luo <infinity0@debian.org>  Fri, 23 Dec 2016 17:37:30 +0100

sagemath (7.4-3) unstable; urgency=medium

  * Fix separate arch-all vs arch-any builds.

 -- Ximin Luo <infinity0@debian.org>  Thu, 22 Dec 2016 12:31:41 +0100

sagemath (7.4-2) unstable; urgency=medium

  [ Tobias Hansen ]
  * Upload to unstable.
  * Move install paths to */sagemath/* instead of */sage/*.

 -- Ximin Luo <infinity0@debian.org>  Wed, 21 Dec 2016 02:53:07 +0100

sagemath (7.4-1) experimental; urgency=medium

  * Initial package. (Closes: #841136)

 -- Tobias Hansen <thansen@debian.org>  Sun, 18 Dec 2016 13:25:32 +0000

=== debian/control ===
## DO NOT EDIT debian/control directly, edit debian/control.in instead
Source: sagemath
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>,
           Julien Puydt <julien.puydt@laposte.net>,
           Jerome Benoit <calculus@rezozer.net>,
           Ximin Luo <infinity0@debian.org>
Standards-Version: 3.9.8
X-Python-Version: 2.7
Homepage: http://www.sagemath.org/
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sagemath.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sagemath.git
Build-Depends:
 cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
 cython (>= 0.25),
 ecl (>= 15.3.7+dfsg1-2),
 eclib-tools (>= 20160720-1+b1),
 f2c,
 fflas-ffpack (>= 2.2.2),
 flintqs,
 gap-core (>= 4r8p6),
 gfan,
 gmp-ecm,
 ipython (>= 5.1.0-2),
 iso-codes,
 jmol (>= 14.6.4),
 lcalc (>= 1.23+dfsg-6+b1),
 less,
 libcdd-tools (>= 094h),
 libjs-mathjax,
 libsingular4-dev (>= 1:4.0.3-p3+ds-2),
 libsingular4-dev (<< 1:4.1),
 maxima-sage,
 maxima-sage-doc,
 maxima-sage-share,
 nauty,
 octave,
 palp (>= 2.1-2),
 pari-doc (>= 2.9.0),
 pari-gp (>= 2.9.0),
 pari-galdata,
 pari-seadata,
 python,
 python-alabaster,
 python-babel,
 python-backports-abc,
 python-backports-shutil-get-terminal-size,
 python-backports.ssl-match-hostname,
 python-brial (>= 0.8.5),
 python-configparser,
 python-crypto,
 python-cvxopt,
 python-cycler,
 python-cysignals-pari (>= 1.2.0+ds-2),
 python-decorator,
 python-docutils,
 python-flask,
 python-flask-autoindex,
 python-flask-babel,
 python-flask-oldsessions,
 python-flask-openid,
 python-flask-silk,
 python-fpylll,
 python-functools32,
 python-future,
 python-gd,
 python-gnutls,
 python-imagesize,
 python-ipython-genutils,
 python-itsdangerous,
 python-jsonschema,
 python-matplotlib,
 python-mistune,
 python-moinmoin,
 python-mpmath,
 python-networkx,
 python-numpy (>= 1:1.12.0~rc2),
 python-openid,
 python-path,
 python-pathlib2,
 python-pexpect (>= 4.1),
 python-pickleshare,
 python-pil,
 python-pip,
 python-pkgconfig,
 python-ply,
 python-prompt-toolkit,
 python-psutil,
 python-ptyprocess,
 python-pygments,
 python-rpy2,
 python-sagenb (>= 0.13),
 python-sagenb-export,
 python-scipy,
 python-setuptools,
 python-setuptools-scm,
 python-simplegeneric,
 python-singledispatch,
 python-snowballstemmer,
 python-sphinx,
 python-sympy,
 python-terminado,
 python-tk,
 python-tornado,
 python-traitlets,
 python-twisted,
 python-tz,
 python-vcversioner,
 python-wcwidth,
 python-werkzeug,
 python-zmq,
 python-zodb,
 python-zope.interface,
 r-cran-lattice,
 r-base-dev,
 rubiks,
 sagemath-database-conway-polynomials,
 sagemath-database-elliptic-curves,
 sagemath-database-graphs,
 sagemath-database-mutually-combinatorial-designs,
 sagemath-database-polytopes,
 singular (>= 1:4.0.3-p3+ds-2),
 singular (<< 1:4.1),
 singular-doc (>= 1:4.0.3-p3+ds-2),
 singular-doc (<< 1:4.1),
 sqlite3,
 sympow (>= 1.023-8),
 tachyon,
 jupyter-client,
 jupyter-core,
 jupyter-nbextension-jupyter-js-widgets,
 python-ipykernel,
 python-ipywidgets,
 python-nbconvert,
 python-nbformat,
 python-notebook (>= 4.2.3-3),
 autoconf,
 ccache <pkg.sagemath.ccache>,
 debhelper (>= 10),
 dh-python (>= 2.20170125),
 dpkg-dev (>= 1.17.14),
 gdb,
 git,
 gnutls-dev,
 libgap-sage-dev (>= 4.8.6),
 libatlas-base-dev,
 libblas-dev,
 libboost-dev (>= 1.55),
 libbrial-dev (>= 0.8.5-4),
 libbrial-groebner-dev (>= 0.8.5-4),
 libcdd-dev (>= 094h),
 libcliquer-dev,
 libec-dev (>= 20160720-1+b1),
 libecm-dev,
 libflint-arb-dev (>= 2.8.1-2),
 libflint-dev (>= 2.5.2-5+b2),
 libfplll-dev (>= 5.0.3),
 libfreetype6-dev,
 libgc-dev,
 libgcrypt11-dev,
 libgd2-noxpm-dev | libgd2-xpm-dev,
 libgf2x-dev,
 libgivaro-dev (>= 4.0.1-3),
 libglpk-dev,
 libgmp-dev (>= 2:5.1.2),
 libgpg-error-dev,
 libgsl-dev,
 libiml-dev,
 liblapack-dev,
 liblfunction-dev,
 liblinboxsage-dev (>= 1.4),
 liblrcalc-dev (>= 1.2-2),
 libm4ri-dev (>= 20130416),
 libm4rie-dev (>= 20130416),
 libmpc-dev (>=1.0),
 libmpfi-dev,
 libmpfr-dev,
 libntl-dev (>= 9.9.1-2),
 libopenblas-dev (>= 0.2.19),
 libpari-dev (>= 2.9.0),
 libplanarity-dev,
 libpng-dev,
 libppl-dev (>= 1:1.1),
 libpynac-dev (>= 0.2.6),
 libratpoints-dev,
 libreadline-dev,
 librw-dev,
 libsqlite3-dev,
 libsymmetrica-dev,
 libzn-poly-dev,
 pkg-config,
 python2.7-dev,
 scons,
 texlive-latex-base,
 zlib1g-dev,

Package: sagemath
Architecture: any
Multi-Arch: same
Description: Open Source Mathematical Software
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the main SageMath installation.
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
 cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
 cython (>= 0.25),
 ecl (>= 15.3.7+dfsg1-2),
 eclib-tools (>= 20160720-1+b1),
 f2c,
 fflas-ffpack (>= 2.2.2),
 flintqs,
 gap-core (>= 4r8p6),
 gfan,
 gmp-ecm,
 ipython (>= 5.1.0-2),
 iso-codes,
 jmol (>= 14.6.4),
 lcalc (>= 1.23+dfsg-6+b1),
 less,
 libcdd-tools (>= 094h),
 libjs-mathjax,
 libsingular4-dev (>= 1:4.0.3-p3+ds-2),
 libsingular4-dev (<< 1:4.1),
 maxima-sage,
 maxima-sage-doc,
 maxima-sage-share,
 nauty,
 octave,
 palp (>= 2.1-2),
 pari-doc (>= 2.9.0),
 pari-gp (>= 2.9.0),
 pari-galdata,
 pari-seadata,
 python,
 python-alabaster,
 python-babel,
 python-backports-abc,
 python-backports-shutil-get-terminal-size,
 python-backports.ssl-match-hostname,
 python-brial (>= 0.8.5),
 python-configparser,
 python-crypto,
 python-cvxopt,
 python-cycler,
 python-cysignals-pari (>= 1.2.0+ds-2),
 python-decorator,
 python-docutils,
 python-flask,
 python-flask-autoindex,
 python-flask-babel,
 python-flask-oldsessions,
 python-flask-openid,
 python-flask-silk,
 python-fpylll,
 python-functools32,
 python-future,
 python-gd,
 python-gnutls,
 python-imagesize,
 python-ipython-genutils,
 python-itsdangerous,
 python-jsonschema,
 python-matplotlib,
 python-mistune,
 python-moinmoin,
 python-mpmath,
 python-networkx,
 python-numpy (>= 1:1.12.0~rc2),
 python-openid,
 python-path,
 python-pathlib2,
 python-pexpect (>= 4.1),
 python-pickleshare,
 python-pil,
 python-pip,
 python-pkgconfig,
 python-ply,
 python-prompt-toolkit,
 python-psutil,
 python-ptyprocess,
 python-pygments,
 python-rpy2,
 python-sagenb (>= 0.13),
 python-sagenb-export,
 python-scipy,
 python-setuptools,
 python-setuptools-scm,
 python-simplegeneric,
 python-singledispatch,
 python-snowballstemmer,
 python-sphinx,
 python-sympy,
 python-terminado,
 python-tk,
 python-tornado,
 python-traitlets,
 python-twisted,
 python-tz,
 python-vcversioner,
 python-wcwidth,
 python-werkzeug,
 python-zmq,
 python-zodb,
 python-zope.interface,
 r-cran-lattice,
 r-base-dev,
 rubiks,
 sagemath-database-conway-polynomials,
 sagemath-database-elliptic-curves,
 sagemath-database-graphs,
 sagemath-database-mutually-combinatorial-designs,
 sagemath-database-polytopes,
 singular (>= 1:4.0.3-p3+ds-2),
 singular (<< 1:4.1),
 singular-doc (>= 1:4.0.3-p3+ds-2),
 singular-doc (<< 1:4.1),
 sqlite3,
 sympow (>= 1.023-8),
 tachyon,
 sagemath-common (= ${source:Version})
Recommends: sagemath-doc-en, sagemath-jupyter, sagetex, texlive-latex-base

Package: sagemath-common
Architecture: all
Multi-Arch: foreign
Description: Open Source Mathematical Software - architecture-independent files
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the architecture-independent files of SageMath.
Depends: ${misc:Depends}, ${python:Depends}

Package: sagemath-jupyter
Architecture: all
Multi-Arch: foreign
Description: Open Source Mathematical Software - Jupyter kernel
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the Jupyter kernel of SageMath.
Depends: ${misc:Depends},
 jupyter-client,
 jupyter-core,
 jupyter-nbextension-jupyter-js-widgets,
 python-ipykernel,
 python-ipywidgets,
 python-nbconvert,
 python-nbformat,
 python-notebook (>= 4.2.3-3),
 sagemath (>= ${source:Version}), sagemath (<< ${source:Version}.1~)

Package: sagemath-doc-hu
Architecture: all
Description: Open Source Mathematical Software - documentation (Hungarian)
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains documentation in Hungarian.
 .
 Note that the package for English documentation (sagemath-doc-en) contains far
 more documentation than any of the other languages. So if you're finding this
 package lacking in content, then you could try that one as well.
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}

Package: sagemath-doc-it
Architecture: all
Description: Open Source Mathematical Software - documentation (Italian)
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains documentation in Italian.
 .
 Note that the package for English documentation (sagemath-doc-en) contains far
 more documentation than any of the other languages. So if you're finding this
 package lacking in content, then you could try that one as well.
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}

Package: sagemath-doc-fr
Architecture: all
Description: Open Source Mathematical Software - documentation (French)
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains documentation in French.
 .
 Note that the package for English documentation (sagemath-doc-en) contains far
 more documentation than any of the other languages. So if you're finding this
 package lacking in content, then you could try that one as well.
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}

Package: sagemath-doc-ca
Architecture: all
Description: Open Source Mathematical Software - documentation (Catalan; Valencian)
 SageMath is a free open-source mathematics software system licensed under the

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1

# If we're doing a pre-release, then be less strict about test failures, etc
ifneq (,$(filter $(DEB_DISTRIBUTION),UNRELEASED unstable-sage))
is_prerelease = true
else
is_prerelease = false
# some buildds are a bit slow
export SAGE_TIMEOUT_LONG = 3600
endif

# Use ccache if pkg.sagemath.ccache build-profile is active.
# Your rebuilds will be *much quicker*.
ifneq (,$(filter pkg.sagemath.ccache,$(DEB_BUILD_PROFILES)))
export PATH := /usr/lib/ccache:$(PATH)
export CCACHE_DIR := $(CURDIR)/debian/ccache
export CCACHE_BASEDIR := $(CURDIR)/debian/build
$(shell mkdir -p "$(CCACHE_DIR)")
endif

export SAGE_LOCAL = $(CURDIR)/debian/build/usr
export PYTHONPATH = $(CURDIR)/debian/build/usr/lib/python2.7/dist-packages
export DOT_SAGE = $(CURDIR)/debian/test

LANGS = $(shell cd sage/src/doc && find . -mindepth 1 -maxdepth 1 -type d | grep -v common | cut -b3-)
DOCS_INSTALL = $(LANGS:%=debian/sagemath-doc-%.install)
DOCS_CONTROL = $(LANGS:%=debian/sagemath-doc-%.control)
DOCS_DOC_BASE = $(LANGS:%=debian/sagemath-doc-%.doc-base)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NUMJOBS = 1
endif

%:
	dh $@ --with=python2,sphinxdoc

binary build clean install: debian/control

export-build-env:
	@echo export SAGE_LOCAL=$(SAGE_LOCAL)
	@echo export PYTHONPATH=$(PYTHONPATH)
	@echo export DOT_SAGE=$(DOT_SAGE)

debian/control: debian/control.in $(DOCS_CONTROL)
	cat $^ > "$@"
	sed -i -e '/RUNTIME_DEPENDS/ {' -e 'r debian/control.runtime-depends' -e 'd' -e '}' "$@"
	sed -i -e '/JUPYTER_DEPENDS/ {' -e 'r debian/control.jupyter-depends' -e 'd' -e '}' "$@"

debian/sagemath-doc-%.control: debian/sagemath-doc-LANG.control.in debian/rules
	sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' < "$<" > "$@"

debian/sagemath-doc-%.install: debian/sagemath-doc-LANG.install.in debian/rules
	sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' < "$<" > "$@"

debian/sagemath-doc-en.doc-base: debian/sagemath-doc-LANG.doc-base.in debian/rules
	sed -e "s/LANGUAGE/$$(debian/lang.py en)/g" -e 's/LANG/en/g' -e 's/SUBDIR//g' < "$<" > "$@"

debian/sagemath-doc-ca.doc-base: debian/sagemath-doc-LANG.doc-base.in debian/rules
	sed -e "s/LANGUAGE/$$(debian/lang.py ca)/g" -e 's/LANG/ca/g' -e 's/SUBDIR/intro\//g' < "$<" > "$@"

debian/sagemath-doc-%.doc-base: debian/sagemath-doc-LANG.doc-base.in debian/rules
	if [ "$*" = "hu" -o "$*" = "it" -o "$*" = "tr" ]; then \
		sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' -e 's/SUBDIR/a_tour_of_sage\//g' < "$<" > "$@"; \
	else \
		sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' -e 's/SUBDIR/tutorial\//g' < "$<" > "$@"; \
	fi

prune: debian/control
	cd debian/pruner && autoconf -I m4
	cd debian/pruner && ./configure --with-sage-root="$(CURDIR)/sage"
	cd sage && python ../debian/pruner/pruner.py || $(is_prerelease)
	touch prune

ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DEB_BUILD_TARGET = build
else
DEB_BUILD_TARGET = all
endif
dh_auto_build-stamp: prune
	MAKE='make -j$(NUMJOBS)' make --directory=sage $(DEB_BUILD_TARGET)
	touch dh_auto_build-stamp

check-dochtml-log:
	# Sometimes, parts of the docbuild fail with MemoryError or OSError but
	# Sage doesn't detect this. Here we detect it and fail the build if so.
	! grep Error sage/logs/dochtml.log

# We build everything in both -arch and -indep because the tests need the docs.
# TODO: as described in #849150, we can make this more efficient if we figure
# out how to disable the tests that need the docs.
override_dh_auto_build-arch: dh_auto_build-stamp
# Only run check-dochtml-log if we will actually build the doc packages.
# Otherwise we get spurious failures on some low-memory arch-any buildds.
override_dh_auto_build-indep: dh_auto_build-stamp check-dochtml-log

LOGFILE = sage/logs/ptestlong.log
run_tests = cd sage && ./sage -t -p $(NUMJOBS) --all --long --logfile=logs/ptestlong.log
override_dh_auto_test:
	cd sage && $(SAGE_LOCAL)/bin/sage-starts
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# We do the below instead of `$(MAKE) --directory=sage ptestlong` because
	# it has a bug where it can't detect a previous successful build. So it
	# will try to rebuild some sagelib files, then the docbuild, then those
	# files again, even after a "make all" that was previously successful. This
	# is not incorrect, but is a massive waste of time. OTOH debhelper is able
	# to detect a previous successful (override_)dh_auto_build, so if we run
	# `debian/rules build` twice it will go directly to (override_)dh_auto_test
	# (and then this target) without trying (override_)dh_auto_build again.
	$(run_tests) || true
	# If tests fail but not by too many more, then retry them once not in parallel
	# i386 seems to have issues running parallel tests - TODO: investigate this in more detail
	if $(is_prerelease); then :; \
	elif debian/rules -s had-few-failures; then :; else \
	  debian/rules -s had-not-too-many-failures && \
	  mv $(LOGFILE) $(LOGFILE).1 && \
	  { $(run_tests) -f -p 1; cd "$(CURDIR)" && debian/rules -s had-few-failures; }; \
	fi
endif

TESTS_MK = $(MAKE) -s --no-print-directory -f debian/tests.mk LOGFILE=$(LOGFILE)
failed-tests%:
	@$(TESTS_MK) "$@"

ifeq (i386,$(shell dpkg-architecture -q DEB_HOST_ARCH))
IGNORE_FAILURES = | sed -e '0,/Timed out/{//d;}' -e '0,/Timed out/{//d;}' -e '0,/Timed out/{//d;}'
else
IGNORE_FAILURES =
endif
had-few-failures:
	test -f $(LOGFILE)
	test "$$($(TESTS_MK) failed-tests-total-normal)" -lt 80
	test -z "$$($(TESTS_MK) failed-tests-special $(IGNORE_FAILURES))"

had-not-too-many-failures:
	test -f $(LOGFILE)
	test "$$($(TESTS_MK) failed-tests-total-normal)" -lt 120

check-failed:
	$(run_tests) -f

override_dh_auto_install:
	rm -rf debian/build/usr/var/tmp/sage/build
# We built .pyo to make the docbuild/tests go faster, but as per Debian policy
# we don't distribute them.
	find debian/build '(' -name '*.pyc' -o -name '*.pyo' ')' -delete
	rm -f debian/build/usr/bin/*.bat
	cp -f debian/adhoc/sage-env debian/build/usr/bin/
	mkdir -p debian/tmp
	mv debian/build/* debian/tmp
# Don't try to rmdir debian/build if it's a mountpoint, useful for doing builds in /run/shm
	mountpoint debian/build || rmdir debian/build

# If we see "nodoc", don't clean the docs. This allows us to rebuild just the
# non-docs without wiping away the docs we previously built, to save time.
override_dh_auto_clean:
ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_clean -Dsage -- -k clean sagelib-clean misc-clean || true
else
	dh_auto_clean -Dsage -- distclean
endif
	rm -rf sage/config
	rm -f sage/build/make/Makefile-auto.in
	rm -f sage/configure
	rm -f sage/src/Makefile

override_dh_install: $(DOCS_INSTALL) $(DOCS_DOC_BASE)
	dh_install --package sagemath-common -X.so
	dh_install --remaining-packages --list-missing

override_dh_python2-arch:
	dh_python2
	dh_numpy --package sagemath # stop lintian complaining at us

override_dh_shlibdeps:
	dh_shlibdeps -l debian/tmp/usr/lib

override_dh_compress:
# We probably don't need to install the pickle/doctree files but let's exempt
# them from compression anyway for now, so the build goes quicker.
	dh_compress -X.pdf -X.pickle -X.doctree

override_dh_sphinxdoc:
# TODO: fix MathJax.js, Sage needs special treatment
# `man dh_sphinxdoc` says symlinking translations.js is not yet supported
# likewise, it seems not to recognise searchtools.js yet
	dh_sphinxdoc -XMathJax.js -Xtranslations.js -Xsearchtools.js

# If we see "nodoc", don't clean the docs. This allows us to rebuild just the
# non-docs without wiping away the docs we previously built, to save time.
ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
# Don't delete my precious docs debhelper! They took a whole fucking hour to build!
preserve_docs = \
	set -e; \
	if [ -d $(2)/usr/share/doc ]; then \
		mkdir -p debian/clean-tmp/usr/share; \
		mv -t debian/clean-tmp/usr/share/ $(2)/usr/share/doc; \
	fi; \
	$(1); \

=== debian/watch ===
version=3
http://files.sagemath.org/src/index.html ./sage-([\d\.]+)\.tar\.gz

## sagemath 7.6

=== debian/changelog ===
sagemath (7.6-3ubuntu3) artful; urgency=medium

  * debian/pruner: fix to look for python3 instead of python-3.5.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Aug 2017 23:42:09 -0700

sagemath (7.6-3ubuntu2) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:34:00 +0000

sagemath (7.6-3ubuntu1) artful; urgency=medium

  * Adjoust the lcalc dependency to match ubuntu rebuilds

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2017 10:24:27 +0200

sagemath (7.6-3) unstable; urgency=medium

  * New patches:
    - u0-sphinx-1.5.patch, upstream fixes for sphinx 1.5.
    - u1-more-sphinx-1.5-fixes.patch from Dmitry Shachnev. (Closes: #866166)
  * Use libgcrypt-dev instead of obsolete libgcrypt11-dev. (Closes: #864132)
  * Increase number of allowed test failures from 40 to 80.

 -- Tobias Hansen <thansen@debian.org>  Mon, 24 Jul 2017 10:14:09 +0100

sagemath (7.6-2) unstable; urgency=medium

  * Upload to unstable.
  * New patch u0-version-singular-4.1.0-p3.
  * Depend on singular (>= 1:4.1.0-p3).

 -- Tobias Hansen <thansen@debian.org>  Mon, 08 May 2017 14:31:50 +0100

sagemath (7.6-1) experimental; urgency=medium

  * New upstream version.
  * Broken symlinks to thebe.js were removed upstream. (Closes: #856866)
  * Reduce number of allowed test failures during build from 80 to 40.
  * New (Build-)Depends:
    - eclib (>= 20170122)
    - ecl (= 16.1.2)
    - maxima-sage (>= 5.39.0)
    - python3-dev
    - python-enum34
  * Remove patches (applied upstream):
    - u0-dont-test-glpk-version.patch
    - u0-fix-libgap-systemwide.patch
    - u0-fix-preexec-fn.patch
    - u0-singular-include-path-for-pynac.patch
    - u0-use-local-threejs.patch
    - u0-version-pari-2.9.patch
    - u0-version-pynac-0.7.4.patch
    - dt-version-singular-4-extra-fixes.patch
  * New patches:
    - dt-undo-trac-21267-sagenb-interacts-for-jupyter.patch

 -- Tobias Hansen <thansen@debian.org>  Mon, 03 Apr 2017 20:04:43 +0100

sagemath (7.5.1-1) experimental; urgency=medium

  * New upstream version.
  * Remove useless dependency on python-zodb. (Closes: #854926)
  * New (Build-)Depends:
    - libjs-three (>= 80)
    - singular (>= 1:4.1.0-p2)
    - pynac (>= 0.7.5)
    - giac
  * Remove patches (applied upstream):
    - u0-version-cython-0.25.patch
    - u0-version-glpk-4.60.patch
    - u0-version-pari-2.9-trac-21765.patch
    - u0-version-singular-4.patch
    - u0-distutils-fixes.patch
    - u0-timeit-python-2.7.11.patch
    - u1-version-pkgconfig.patch
  * Patches with non-trivial modifications:
    - u0-pip-nowarn.patch
    - u0-version-pari-2.9.patch
    - u2-allow-override-sage-local.patch
    - u2-fix-trivial-test-cases.patch
    - u2-fix-less-trivial-test-cases.patch
    - d0-arb.patch (patch acb_poly.pxd)
    - d0-gsl-cblas.patch (keep gslcblas in gsl_libs)
    - d0-pari.patch
    - d0-pari-stackwarn.patch
    - d0-paths-sharedata.patch
    - d0-paths.patch
    - d0-singular.patch
    - d1-install-paths.patch
    - d1-sage-env.patch (also patch env.py from here)
    - dt-disable-parallel-sphinx.patch
    - dt-more-fix-test-cases.patch (parts were applied upstream)
  * New patches:
    - u0-use-local-threejs.patch
    - u0-version-singular-4.1.0p2.patch
    - u0-version-pynac-0.7.4.patch
    - u1-singular-include-path-for-pynac.patch
    - u1-dont-test-glpk-version.patch

 -- Tobias Hansen <thansen@debian.org>  Fri, 17 Mar 2017 00:17:32 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Source: sagemath
 Section: math
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>,
            Julien Puydt <julien.puydt@laposte.net>,
            Jerome Benoit <calculus@rezozer.net>,
@@ -15,8 +16,9 @@
 Build-Depends:
  cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
  cython (>= 0.25),
- ecl (>= 15.3.7+dfsg1-2),
- eclib-tools (>= 20160720-1+b1),
+ ecl (>= 16.1.2),
+ ecl (<< 16.1.3),
+ eclib-tools (>= 20170122),
  f2c,
  fflas-ffpack (>= 2.2.2),
  flintqs,
@@ -26,15 +28,15 @@
  ipython (>= 5.1.0-2),
  iso-codes,
  jmol (>= 14.6.4),
- lcalc (>= 1.23+dfsg-6+b1),
+ lcalc (>= 1.23+dfsg-6build1),
  less,
  libcdd-tools (>= 094h),
  libjs-mathjax,
- libsingular4-dev (>= 1:4.0.3-p3+ds-2),
- libsingular4-dev (<< 1:4.1),
- maxima-sage,
- maxima-sage-doc,
- maxima-sage-share,
+ libjs-three (>= 80),
+ libsingular4-dev (>= 1:4.1.0-p3),
+ maxima-sage (>= 5.39.0),
+ maxima-sage-doc (>= 5.39.0),
+ maxima-sage-share (>= 5.39.0),
  nauty,
  octave,
  palp (>= 2.1-2),
@@ -43,6 +45,7 @@
  pari-galdata,
  pari-seadata,
  python,
+ python3-dev,
  python-alabaster,
  python-babel,
  python-backports-abc,
@@ -56,6 +59,7 @@
  python-cysignals-pari (>= 1.2.0+ds-2),
  python-decorator,
  python-docutils,
+ python-enum34,
  python-flask,
  python-flask-autoindex,
  python-flask-babel,
@@ -111,7 +115,6 @@
  python-wcwidth,
  python-werkzeug,
  python-zmq,
- python-zodb,
  python-zope.interface,
  r-cran-lattice,
  r-base-dev,
@@ -121,13 +124,12 @@
  sagemath-database-graphs,
  sagemath-database-mutually-combinatorial-designs,
  sagemath-database-polytopes,
- singular (>= 1:4.0.3-p3+ds-2),
- singular (<< 1:4.1),
- singular-doc (>= 1:4.0.3-p3+ds-2),
- singular-doc (<< 1:4.1),
+ singular (>= 1:4.1.0-p3),
+ singular-doc (>= 1:4.1.0-p3),
  sqlite3,
  sympow (>= 1.023-8),
  tachyon,
+ xcas,
  jupyter-client,
  jupyter-core,
  jupyter-nbextension-jupyter-js-widgets,
@@ -152,16 +154,17 @@
  libbrial-groebner-dev (>= 0.8.5-4),
  libcdd-dev (>= 094h),
  libcliquer-dev,
- libec-dev (>= 20160720-1+b1),
+ libec-dev (>= 20170122),
  libecm-dev,
  libflint-arb-dev (>= 2.8.1-2),
  libflint-dev (>= 2.5.2-5+b2),
  libfplll-dev (>= 5.0.3),
  libfreetype6-dev,
  libgc-dev,
- libgcrypt11-dev,
+ libgcrypt-dev,
  libgd2-noxpm-dev | libgd2-xpm-dev,
  libgf2x-dev,
+ libgiac-dev (>= 1.2.3.25+dfsg1-3),
  libgivaro-dev (>= 4.0.1-3),
  libglpk-dev,
  libgmp-dev (>= 2:5.1.2),
@@ -183,7 +186,7 @@
  libplanarity-dev,
  libpng-dev,
  libppl-dev (>= 1:1.1),
- libpynac-dev (>= 0.2.6),
+ libpynac-dev (>= 0.7.5),
  libratpoints-dev,
  libreadline-dev,
  librw-dev,
@@ -213,8 +216,9 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
  cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
  cython (>= 0.25),
- ecl (>= 15.3.7+dfsg1-2),
- eclib-tools (>= 20160720-1+b1),
+ ecl (>= 16.1.2),
+ ecl (<< 16.1.3),
+ eclib-tools (>= 20170122),
  f2c,
  fflas-ffpack (>= 2.2.2),
  flintqs,
@@ -224,15 +228,15 @@
  ipython (>= 5.1.0-2),
  iso-codes,
  jmol (>= 14.6.4),
- lcalc (>= 1.23+dfsg-6+b1),
+ lcalc (>= 1.23+dfsg-6build1),
  less,
  libcdd-tools (>= 094h),
  libjs-mathjax,
- libsingular4-dev (>= 1:4.0.3-p3+ds-2),
- libsingular4-dev (<< 1:4.1),
- maxima-sage,
- maxima-sage-doc,
- maxima-sage-share,
+ libjs-three (>= 80),
+ libsingular4-dev (>= 1:4.1.0-p3),
+ maxima-sage (>= 5.39.0),
+ maxima-sage-doc (>= 5.39.0),
+ maxima-sage-share (>= 5.39.0),
  nauty,
  octave,
  palp (>= 2.1-2),
@@ -241,6 +245,7 @@
  pari-galdata,
  pari-seadata,
  python,
+ python3-dev,
  python-alabaster,
  python-babel,
  python-backports-abc,
@@ -254,6 +259,7 @@
  python-cysignals-pari (>= 1.2.0+ds-2),
  python-decorator,
  python-docutils,
+ python-enum34,
  python-flask,
  python-flask-autoindex,
  python-flask-babel,
@@ -309,7 +315,6 @@
  python-wcwidth,
  python-werkzeug,
  python-zmq,
- python-zodb,
  python-zope.interface,
  r-cran-lattice,
  r-base-dev,
@@ -319,13 +324,12 @@
  sagemath-database-graphs,
  sagemath-database-mutually-combinatorial-designs,
  sagemath-database-polytopes,
- singular (>= 1:4.0.3-p3+ds-2),
- singular (<< 1:4.1),
- singular-doc (>= 1:4.0.3-p3+ds-2),
- singular-doc (<< 1:4.1),
+ singular (>= 1:4.1.0-p3),
+ singular-doc (>= 1:4.1.0-p3),
  sqlite3,
  sympow (>= 1.023-8),
  tachyon,
+ xcas,
  sagemath-common (= ${source:Version})
 Recommends: sagemath-doc-en, sagemath-jupyter, sagetex, texlive-latex-base
 
@@ -370,19 +374,19 @@
  python-notebook (>= 4.2.3-3),
  sagemath (>= ${source:Version}), sagemath (<< ${source:Version}.1~)
 
-Package: sagemath-doc-hu
-Architecture: all
-Description: Open Source Mathematical Software - documentation (Hungarian)
- SageMath is a free open-source mathematics software system licensed under the
- GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
- matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
- power through a common, Python-based language or directly via interfaces or
- wrappers.
- .
- Mission: Creating a viable free open source alternative to Magma, Maple,
- Mathematica and Matlab.
- .
- This package contains documentation in Hungarian.
+Package: sagemath-doc-ca
+Architecture: all
+Description: Open Source Mathematical Software - documentation (Catalan; Valencian)
+ SageMath is a free open-source mathematics software system licensed under the
+ GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
+ matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
+ power through a common, Python-based language or directly via interfaces or
+ wrappers.
+ .
+ Mission: Creating a viable free open source alternative to Magma, Maple,
+ Mathematica and Matlab.
+ .
+ This package contains documentation in Catalan; Valencian.
  .
  Note that the package for English documentation (sagemath-doc-en) contains far
  more documentation than any of the other languages. So if you're finding this
@@ -390,19 +394,19 @@
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
 
-Package: sagemath-doc-it
-Architecture: all
-Description: Open Source Mathematical Software - documentation (Italian)
- SageMath is a free open-source mathematics software system licensed under the
- GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
- matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
- power through a common, Python-based language or directly via interfaces or
- wrappers.
- .
- Mission: Creating a viable free open source alternative to Magma, Maple,
- Mathematica and Matlab.
- .
- This package contains documentation in Italian.
+Package: sagemath-doc-de
+Architecture: all
+Description: Open Source Mathematical Software - documentation (German)
+ SageMath is a free open-source mathematics software system licensed under the
+ GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
+ matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
+ power through a common, Python-based language or directly via interfaces or
+ wrappers.
+ .
+ Mission: Creating a viable free open source alternative to Magma, Maple,
+ Mathematica and Matlab.
+ .
+ This package contains documentation in German.
  .
  Note that the package for English documentation (sagemath-doc-en) contains far
  more documentation than any of the other languages. So if you're finding this
@@ -410,19 +414,19 @@
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
 
-Package: sagemath-doc-fr
-Architecture: all
-Description: Open Source Mathematical Software - documentation (French)
- SageMath is a free open-source mathematics software system licensed under the
- GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
- matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
- power through a common, Python-based language or directly via interfaces or
- wrappers.
- .
- Mission: Creating a viable free open source alternative to Magma, Maple,
- Mathematica and Matlab.
- .
- This package contains documentation in French.
+Package: sagemath-doc-en
+Architecture: all
+Description: Open Source Mathematical Software - documentation (English)
+ SageMath is a free open-source mathematics software system licensed under the
+ GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
+ matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
+ power through a common, Python-based language or directly via interfaces or
+ wrappers.
+ .
+ Mission: Creating a viable free open source alternative to Magma, Maple,
+ Mathematica and Matlab.
+ .
+ This package contains documentation in English.
  .
  Note that the package for English documentation (sagemath-doc-en) contains far
  more documentation than any of the other languages. So if you're finding this
@@ -430,7 +434,5 @@
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
 
-Package: sagemath-doc-ca
-Architecture: all
-Description: Open Source Mathematical Software - documentation (Catalan; Valencian)
- SageMath is a free open-source mathematics software system licensed under the
+Package: sagemath-doc-es
+Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 export PYTHONPATH = $(CURDIR)/debian/build/usr/lib/python2.7/dist-packages
 export DOT_SAGE = $(CURDIR)/debian/test
 
-LANGS = $(shell cd sage/src/doc && find . -mindepth 1 -maxdepth 1 -type d | grep -v common | cut -b3-)
+LANGS = $(shell cd sage/src/doc && find . -mindepth 1 -maxdepth 1 -type d | grep -v common | cut -b3- | LC_ALL=C.UTF-8 LANG=C.UTF-8 sort)
 DOCS_INSTALL = $(LANGS:%=debian/sagemath-doc-%.install)
 DOCS_CONTROL = $(LANGS:%=debian/sagemath-doc-%.control)
 DOCS_DOC_BASE = $(LANGS:%=debian/sagemath-doc-%.doc-base)
@@ -199,6 +199,3 @@
 	set -e; \
 	if [ -d $(2)/usr/share/doc ]; then \
 		mkdir -p debian/clean-tmp/usr/share; \
-		mv -t debian/clean-tmp/usr/share/ $(2)/usr/share/doc; \
-	fi; \
-	$(1); \
